For the complete documentation index, see llms.txt. This page is also available as Markdown.

Proxy

Get

get

Retrieve the proxy settings

Query parameters
siteIdinteger · int32Optional
Responses
200

Success

application/json; api-version=1.0

RAS Proxy Settings

httpProxyModestring · enumOptional

HTTP Proxy Mode

Possible values:
httpProxyAddressstring · nullableOptional

The HTTP Proxy Address.

httpProxyUserstring · nullableOptional

The HTTP Proxy User.

httpProxyPortinteger · int32Optional

The HTTP Proxy Port.

httpProxyRequiresAuthbooleanOptional

Whether HTTP Proxy requires authentication or not.

get/api/ProxySettings
GET /api/ProxySettings HTTP/1.1
Accept: */*
{
  "httpProxyMode": [
    "0 = NoProxy",
    "1 = ManualSettings"
  ],
  "httpProxyAddress": "text",
  "httpProxyUser": "text",
  "httpProxyPort": 1,
  "httpProxyRequiresAuth": true
}

Update

put

Modify Proxy Settings. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.

Query parameters
siteIdinteger · int32Optional

Site Id to retrieve Proxy Settings

Body
httpProxyModestring · enumOptional

HTTP Proxy Mode

Possible values:
httpProxyAddressstring · nullableOptional

HTTP Proxy Address.

httpProxyPortinteger · int32 · nullableOptional

A custom Proxy port number.

httpProxyPwdstring · nullableOptional

HTTP Proxy Password.

httpProxyUserstring · nullableOptional

HTTP Proxy User.

httpProxyRequiresAuthboolean · nullableOptional

HTTP Proxy Requires Authentication: Enable (True) or disable (False).

Responses
204

No Content

No content

put/api/ProxySettings
PUT /api/ProxySettings HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 172

{
  "httpProxyMode": [
    "0 = NoProxy",
    "1 = ManualSettings"
  ],
  "httpProxyAddress": "text",
  "httpProxyPort": 1,
  "httpProxyPwd": "text",
  "httpProxyUser": "text",
  "httpProxyRequiresAuth": true
}

No content

Last updated